/*
misc_usb.c - USB support

written by 2003 Ulrich Hecht <uli@emulinks.de>
           2004 NoisyB (noisyb@gmx.net)


This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/
#ifndef USB_H
#define USB_H
#ifdef  HAVE_CONFIG_H
#include "config.h"
#endif
#ifdef  HAVE_USB_H
#include <usb.h>

extern struct usb_device *misc_usb_probe (int vendor_id, int product_id);
extern usb_dev_handle *misc_usb_open (struct usb_device *device);
extern int misc_usb_close (usb_dev_handle *handle);
extern int misc_usb_read (usb_dev_handle *handle, char *buffer, int buffer_size);
extern int misc_usb_write (usb_dev_handle *handle, char *buffer, int buffer_size);

#endif  // HAVE_USB_H
#endif  // USB_H
